blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
5e9bab3fee6af7a7fc9a73a9614354b5180f20a6 | Shell | coljac/docker-streamlit-datascience | /create_vm.sh | UTF-8 | 1,806 | 4.0625 | 4 | [] | no_license | #!/bin/bash
# Helper script:
# Spin up a VM on Azure and deploy the streamlit app there
# Use at own risk!
# Requires azure-cli
# create_vm.sh vm-name [group] [datadir] [appdir]
name=$1
group="streamlit"
datadir=data
appdir=app
if [ -z "$1" ]
then
tput bold; echo "Usage: create_vm.sh vm-name [group] [datadir] [... | true |
e8e1b008c158ec68e3d348ca2f5d091801d47fe9 | Shell | elephant-track/elephant-server | /docker/install-rabbitmq.sh | UTF-8 | 1,788 | 2.78125 | 3 | [
"BSD-2-Clause",
"BSD-3-Clause",
"MPL-2.0",
"MIT",
"BlueOak-1.0.0"
] | permissive | #!/bin/sh
set -x
apt-get update
apt-get install curl gnupg debian-keyring debian-archive-keyring apt-transport-https --no-install-recommends --no-install-suggests -y
## Ignore warnings
export APT_KEY_DONT_WARN_ON_DANGEROUS_USAGE=1
## Team RabbitMQ's main signing key
apt-key adv --keyserver "hkps://keys.openpgp.org" ... | true |
00d5c50e4657b5cb669314a1217751b90d00e3be | Shell | doduythao/BarcodeProject | /shell_scripts/rename.sh | UTF-8 | 346 | 3.796875 | 4 | [] | no_license | #!/bin/bash
shopt -s nullglob
## Don't forget / at the end of input path
## $1 is src folder. rename all of files from its name to name start from 1 to N=number of file
count=0
for f in "$1"*.png "$1"*.jpg; do
name=$(basename "$f")
IFS='.' read -ra names <<<"$name"
ext=${names[1]}
mv "$f" "$1""$count"."$ext"
... | true |
4649a0a506575a5fc4db14fbd61c88a901ebce19 | Shell | barishcb/linode-setups | /setup-centos-7.node.sh | UTF-8 | 1,631 | 2.625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Update all the packages
sudo yum update
# Install FTP client
sudo yum install ftp
# Remove the existing Git Version
sudo yum remove git*
# Install Latest Git Version
sudo yum -y install https://packages.endpoint.com/rhel/7/os/x86_64/endpoint-repo-1.7-1.x86_64.rpm
sudo yum install -y git
# Update Vim ... | true |
39a81bf4c5d4c3ebaec97225d2bd0d5e1e66ca83 | Shell | dealien/LCARS-Interface | /manager.sh | UTF-8 | 1,302 | 4.125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
help="Usage: `basename $0` <command> -- manage the LCARS Database server
`basename $0` start starts the server
`basename $0` stop stops the server
`basename $0` info shows info about running forever processes
`basename $0` (-h|--help) displays this help... | true |
fb8e3e5b3911ab89e178a614c217eb6e50a388b7 | Shell | geektoni/concept-tagging-nn-spacy | /collect_results.sh | UTF-8 | 937 | 3.484375 | 3 | [
"MIT",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
#
# This software is distributed under MIT license (see LICENSE file).
#
# Authors: Giovanni De Toni
#
# Collect all the results inside the results directory and generate a complete
# file with all the results.
for f in `ls ./results/`;
do
if [ ! -z "$(ls -A ./results/${f})" ]; then
cd concept-taggin... | true |
907270fb8a04774edf7bcc6ec8abca77a3e2f73b | Shell | lz-purple/Source | /app/src/main/java/com/syd/source/aosp/external/strace/mpers.sh | UTF-8 | 2,942 | 3.140625 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/sh -e
#
# Copyright (c) 2015 Elvira Khabirova <lineprinter0@gmail.com>
# Copyright (c) 2015-2017 The strace developers.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistribution... | true |
57644c84fc25aa268ff36ec0cf458429b24fa2a0 | Shell | layeka/hypermind | /deploy.sh | UTF-8 | 613 | 3.703125 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/sh
SERVER_PORT="9091"
PID=`ps -ef | grep "hypermind" | grep -v "cronolog" | grep -v "grep" | awk '{print $2}'`
if [ -z $PID ]; then
PID=`lsof -i:$SERVER_PORT | grep "a.out" | awk '{print $2}'`
fi
if [ -z $PID ]; then
echo "The server has yet to launch."
else
kill $PID
echo "The server has stopped!"
fi
DIR=`... | true |
09473bb2c8b7730a5b6323a2efa614db721bb3cb | Shell | andrewmarconi/sysadmin-tools | /centos-6.6/setup.sh | UTF-8 | 5,873 | 3.421875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
MYPASS=$(mkpasswd -l 16 -d 4 -c 4 -C 4 -s 4)
echo "--> Setting up non-root user..."
echo ""
echo "What username would you like to use? Note that this should probably be short, lower-case, and without any special characters."
read MYUSER
useradd $MYUSER
echo $MYPASS | passwd $MYUSER --stdin
usermod -G wheel... | true |
d8b23f3479b237f5288c5054bc716c426a02449c | Shell | rparrapy/listen-trailicon | /genrpm.sh | UTF-8 | 557 | 3.28125 | 3 | [] | no_license | #!/bin/bash
# Usage: ./genrpm.sh <version>
version=$1
name=listen-trailicon
SPEC_DIR=packaging
# generate source tar
mkdir -p ./build/${name}-${version}/
cp -r ./icons/ ./build/${name}-${version}/
cp -r ./packaging ./build/${name}-${version}/
cp -r ./listen.py ./build/${name}-${version}/
cp -r ./speech ./build/${name... | true |
81653f493af82655ca81afacff6fc239540684c6 | Shell | eleidan/docker-phoenix | /.bashrc | UTF-8 | 490 | 3.390625 | 3 | [] | no_license | # Aliases
alias ls='ls --color=auto'
alias ll='ls -ahlF --group-directories-first'
# Bindings
## Bash history autocompletion bindings.
bind '"\e[A": history-search-backward'
bind '"\e[B": history-search-forward'
# Functions
function get_container_ip {
hostname -I | cut -d ' ' -f1
}
function get_container_service {... | true |
0c4aa8b8406229b3aca382ebb0c481bf4caac93f | Shell | TakesTheBiscuit/kinesis-aggregation | /python/deploy.sh | UTF-8 | 195 | 2.5625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
rm -Rf dist build && python3 setup.py sdist bdist_wheel
if [ "$1" == "check" ]; then
twine check dist/*
elif [ "$1" == "deploy" ]; then
twine upload --repository pypi dist/*
fi
| true |
d2c595b910f03d32ec33abc58426d5a668b2c562 | Shell | pmillart/WorkInProgress | /azcli/AzureLab/3-4-LinuxVM_CreateFullyConfigured.sh | UTF-8 | 1,720 | 3.375 | 3 | [] | no_license | #!/bin/bash
##############################################################################
## Linux VM: create a fully configured
##############################################################################
RG=LabXRG
VM_NAME=LabXVM03
VNET_NAME=$VM_NAME"Vnet"
SUBNET_NAME=$VM_NAME"Subnet"
IPPUBLIC_NAME=$VM_NAME"Publi... | true |
acc179784e093b47686dfbdee34a0e05ec4a4df1 | Shell | brahm/another-arch-installer | /2-config.sh | UTF-8 | 4,566 | 3.125 | 3 | [
"CC-BY-4.0"
] | permissive | #!/bin/bash
# This is another custom automatic installation script for Arch Linux
# Made to install Arch on an Apple Mac Pro 5,1 with a AMD RX 580
# Copyleft (ɔ) 2021 Wagner Brahm (https://wagnerbrahm.com.br)
# Permission to copy and modify is granted under a CC BY 4.0 License
# Last revised 2021/04/08
clear
echo "+... | true |
03e2aaff2635252f12dafa0af4212909e5021bb9 | Shell | ZweihanderSteve/COMP2101 | /bash/guess.sh | UTF-8 | 640 | 4.03125 | 4 | [] | no_license | #!/bin/bash
# Implements 3rd guessing game of 3rd lesson
# get random number from 1 to 10
mynumber=$(( RANDOM % 10 +1 ))
while true; do
# ask user to guess
# validate number
while [[ -z "$usernumber" || (! "$usernumber" =~ ^[1-9]0?$) || "$usernumber" -gt 10 ]]; do
read -p "Pick a numero from 1 t0 10, i... | true |
d2893ffec3ee8e12dbda95325fb58ec86afcfcf6 | Shell | hhadian/kaldi | /egs/gale_arabic/s5d/local/prepare_data.sh | UTF-8 | 7,473 | 3.15625 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-public-domain"
] | permissive | #!/bin/bash
# Copyright 2014 QCRI (author: Ahmed Ali)
# Apache 2.0
# GALE Arabic phase 2 Conversation Speech
dir1=/export/corpora5/LDC/LDC2013S02/
dir2=/export/corpora5/LDC/LDC2013S07/
text1=/export/corpora5/LDC/LDC2013T04/
text2=/export/corpora5/LDC/LDC2013T17/
# GALE Arabic phase 2 News Speech
di... | true |
4dd7a383e136a2dcb93b27c005addffb7158f868 | Shell | PolyCement/dotfiles | /bin/less2 | UTF-8 | 321 | 3.515625 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
#when trying to less certain file types, list their contents instead
case $1 in
*.zip)
unzip -l "$1" | less ;;
*.rar)
unrar l "$1" | less ;;
*.7z)
7z l "$1" | less ;;
*.bz2)
tar -jtvf "$1" | less ;;
*)
if [[ -z "$1" ]]; then
less
else
less "$*"
fi ;;
esac... | true |
b6a24ece5cf5c5d9d250a581338bf3f62072c23a | Shell | foss-santanu/shell_scripts | /blankscript_old.sh | UTF-8 | 814 | 4.21875 | 4 | [
"Unlicense"
] | permissive | #!/bin/bash
#bash script to create a blank script file with execution permission
#created by Santanu Chakrabarti
if [ -z $1 ]; then
echo "blankscript: Script file name not entered"
echo "Run blankscript <filename>"
exit 0
fi
#check for .sh extension in file name
if [ -n "`echo $1 | grep .sh`" ]; then
filename=$1
else
f... | true |
80b6cd7cb31bbdf0557018648343cde3fc5ce143 | Shell | dungpa45/linux | /addfunc | UTF-8 | 94 | 2.734375 | 3 | [] | no_license | #!/bin/bash
function plus {
let kq="$1 + $2"
echo $1 + $2 = $kq
}
plus 1 2
plus 4 5
plus 19 4
| true |
eec65cde21d2cf1bf64efc71916fb61775a5d950 | Shell | fdziarmagowski/builds | /darktable/build.sh | UTF-8 | 1,376 | 2.703125 | 3 | [] | no_license | #!/bin/sh
set -eux
DT_VERSION=3.0.2
export DEBIAN_FRONTEND="noninteractive"
apt update
apt dist-upgrade -y
apt install -y --no-install-recommends \
build-essential \
clang \
cmake \
git \
intltool \
iso-codes \
libcolord-dev \
libcolord-gtk-dev \
libcurl4-gnutls-dev \
libexiv2-dev \
libflickcu... | true |
843d818dee12d4da1ffca84a9aa6e4e879a46fa9 | Shell | dlux/vagrant-refstack | /post_install.sh | UTF-8 | 5,595 | 3.59375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# ============================================================================
# Script installs and configure a refstack server (UI and API):
# See: https://docs.openstack.org/refstack/latest/refstack.html
# ============================================================================
# Comment the follow... | true |
d2630247e7b9470607acd44e5c6df78ed95d30cb | Shell | baycedar/isucon10-qualify | /webapp/redis/init.sh | UTF-8 | 164 | 2.59375 | 3 | [] | no_license | #!/bin/bash
set -xe
set -o pipefail
CURRENT_DIR=$(cd $(dirname $0);pwd)
export LANG="C.UTF-8"
cd $CURRENT_DIR
redis-cli flushdb
cat estate.txt | redis-cli --pipe
| true |
eface6ba65eff41963bb418085cc90ec20f847a3 | Shell | tatsuroro/sh | /init.sh | UTF-8 | 137 | 2.8125 | 3 | [] | no_license | #!/bin/bash
dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
echo "ln -nfs \"${dir}\" \"$HOME/sh\""
ln -nfs "${dir}" "$HOME/sh"
| true |
6ccd869a77d7528bd0ea35bef2ab758c356ad502 | Shell | Fnyasimi/IntroductoryLinux-2019 | /ClassScripts/GNU_p_splitcsv.sh | UTF-8 | 322 | 3.28125 | 3 | [] | no_license | numlines=$(wc -l < spreadsheet.csv)
echo "${numlines}"
num_chunks=$((numlines / 10 ))
#add 1 to num_chunks if last digit of numlines is not 0
if [ ${numlines: -1} -ne 0 ]
then
num_chunks=$((num_chunks+1))
fi
echo "${num_chunks}"
# using GNU parallel
cat spreadsheet.csv | parallel --header : --pipe -N 10 'cat > chunk{#}... | true |
8b702bf58b9edc2b8a819d03bb3a688cc6ddb9ce | Shell | GSharpKit/GSharpKit | /make-msisdk.sh.in | UTF-8 | 1,770 | 3.359375 | 3 | [] | no_license | #!/bin/bash
SOURCEDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
TMPDIR=`mktemp -d -p "/tmp"`
cp createmsi.py $TMPDIR/
cp LICENSE $TMPDIR/License.rtf
cp GSharpSdk.json $TMPDIR/
# Install to staging
TMP="$TMPDIR/tmp"
DIR="$TMPDIR/framework/@FRAMEWORK@"
mkdir -p $TMPDIR/tmp/usr/x86_64-w64-mingw32/sys-root/mi... | true |
3f0d129a86919e3a1cb602544ec4215ec75d5c8b | Shell | kmclarnon/SlackEmojis | /download.sh | UTF-8 | 922 | 3.734375 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -o errexit
set -o pipefail
set -o nounset
#set -o xtrace
echo "Enter your slack legacy token"
read legacy_token
echo "Enter target directory"
read target_dir
team_name=$(curl -s "https://slack.com/api/team.info?token=${legacy_token}" | jq -r '.team.name')
read -p "Fetch emoji from ${team_na... | true |
26802d3387cc6e89694a32dfcee9e1e7d55ab56b | Shell | usec16-paper4/owl | /TESTS/memcached-1.4.25/autotest.sh | UTF-8 | 857 | 3.1875 | 3 | [] | no_license | #!/bin/bash
set -x
if [ ! $# -eq 2 ]; then
echo -e "Please input the argument"
exit -1
fi
# The command will be called at top level of build folder
TEST_DIR='TESTS/memcached-1.4.25'
CONANAL_DIR='lib/ConAnal'
DOL_DIR='lib/DOL'
CDG_DIR='lib/CDG'
BITCODE_DIR="$CONANAL_ROOT/build/TESTS/${1}"
cd ${BITCODE_DIR}
# Only... | true |
e06ca6a77d7d99a1e529654ab6c1cbe51b66d615 | Shell | poorkenny/icore | /target/terminate.bash~ | UTF-8 | 661 | 2.6875 | 3 | [] | no_license | #!/bin/bash
#
# File: freeze.bash
# Author: stan
#
# Created on Jun 12, 2013, 4:04:55 PM
#
#use bash to execute this script
#wget "http://localhost:20000/control/pauseat=$clock"
var="session completed!"
var1="$var"
exec 3<> /dev/tcp/127.0.0.1/9019
echo -e $var1 >&3
var2=$(ps aux | awk '/\/tmp\/pycore/{print $(NF)}... | true |
7e415c2e959008a2cd2f05e58545c671b7255422 | Shell | Akshithaaashi/Shell-Programming | /selection-statement/maxAndMin.sh | UTF-8 | 1,058 | 3.234375 | 3 | [] | no_license | #!/bin/bash -x
num1=$(($((RANDOM%900))+100))
num2=$(($((RANDOM%900))+100))
num3=$(($((RANDOM%900))+100))
num4=$(($((RANDOM%900))+100))
num5=$(($((RANDOM%900))+100))
if [[ $num1 -gt $num2 && $num1 -gt $num3 && $num1 -gt $num4 && $num1 -gt $num5 ]]
then
max=$num1
elif [[ $num2 -gt $num1 && $num2 -gt $num3 && $num2 -gt... | true |
04bb812d98e280bce0ecd4e94e18f45145753fc6 | Shell | haugstve/dotfiles-dylanjm | /Python/py.sh | UTF-8 | 256 | 2.546875 | 3 | [] | no_license | #!/bin/bash
set -e
cd "$(dirname "$0")"
echo "Setting up Python"
brew install python
brew install python3
pip install --upgrade pip setuptools
pip3 install --upgrade pip setuptools wheel
echo "Installing Python Packages"
pip3 install -r requirements.txt | true |
2a005493e1ce7ff42b328d56f1a775a2eefe3c0e | Shell | GentianaD/ITMO-544-Assignments | /create-env.sh | UTF-8 | 962 | 2.921875 | 3 | [] | no_license | #!/bin/bash
if (($#<5));
then
echo "You need to provide 5 parameters: ami-id key-name security-group launch-configuration count "
else
loadBalancerName='itmo544-load-balancer'
aws elb create-load-balancer --load-balancer-name $loadBalancerName --listeners "Protocol=HTTP,LoadBalancerPort=80,InstanceProtocol=HTTP,Inst... | true |
a3f0ef76f64473c2a508c0f10ab10ce765c4584e | Shell | sunplc/conf | /shell/redis.sh | UTF-8 | 512 | 3.4375 | 3 | [] | no_license | #!/bin/bash
now="$(date +'%Y-%m-%d %T')"
WORK_PATH=/app/svn_backup
SVN_PATH=/app/svn_backup/LGF
# 根据文件最后修改时间判断是否已更新
cd $WORK_PATH
date1=$(stat -c %Y "./.timestamp")
date2=$(stat -c %Y "/dump.rdb")
if [[ $date1 != $date2 ]]; then
cd $SVN_PATH
cp /dump.rdb ./dump.rdb
# svn add ./*
svn status
sv... | true |
e44519be0e3c0c91b586ed716a34e8aca641f756 | Shell | flvani/MIDI.js | /minify.sh | UTF-8 | 868 | 3.03125 | 3 | [
"MIT"
] | permissive | #!/bin/sh
die () {
echo >&2 "$@"
exit 1
}
[ "$#" -eq 1 ] || die "Call with a version number argument in the form x.yy"
echo $1 | grep -E -q '^[1-9]\.[0-9]+$' || die "Version number argument required (x.yy), $1 provided"
echo "Concatenating all files..."
cat js/debug.js \
js/MIDI/WebAudioAPI.js \
js/MI... | true |
c22566f025210ee2bd889eed1de5f239387bbc4a | Shell | gpad/erldocker | /util/generate-docker-machine-stunnel_conf | UTF-8 | 846 | 3.5625 | 4 | [
"ISC"
] | permissive | #!/bin/bash
if [[ -z $1 ]] ; then echo "You must provide the docker-machine instance name as the argument to this script" && exit 1; else INSTANCE=$1 ; fi
CMD="$(find /usr/local/Cellar/openssl -maxdepth 1 -mindepth 1 | sort -n | head -n1 )/bin/openssl"
eval $(docker-machine env ${INSTANCE})
export DOCKER_HOST=$(ec... | true |
e51fd610cccf6ec4eb7181a95af45d6b75778862 | Shell | yaxinsn/http-fit-ap | /fit-client/wtpcli/os.sh | UTF-8 | 3,846 | 3.578125 | 4 | [] | no_license | #!/bin/bash
#
##help
#
#
##version
#
#
##
CC=${CROSS_COMPILE}gcc
LD=${CROSS_COMPILE}ld
echo -e \
"/* CC=$CC
* LD=$LD
* CFLAGS =${CFLAGS}
* LDFLAGS=${LDFLAGS}
*/\n"
TMP=./var/run/tmp
INC=$TMP/inc.h
LIB=$TMP/lib.a
SRC=$TMP/src.c
OBJ=$TMP/obj.o
OUT=$TMP/a.out
CFLAGS="-D_ALL_SOURCE=1 -D_GNU_SOURCE=1 $CFLAGS"
mkdi... | true |
35990170e72552c795673d29d16d2205f8b6518b | Shell | haniot/docker-compose | /config/mongodb/mongodb-entrypoint.sh | UTF-8 | 1,603 | 4.15625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Admin User
MONGODB_ADMIN_USER=${MONGO_INITDB_ROOT_USERNAME}
MONGODB_ADMIN_PASS=${MONGO_INITDB_ROOT_PASSWORD}
# Application Database User
MONGODB_APPLICATION_DATABASE=${MONGO_APPLICATION_DATABASE:-"admin"}
MONGODB_APPLICATION_USER=${MONGO_APPLICATION_USER}
MONGODB_APPLICATION_PASS=${MONGO_APPLICATION_PAS... | true |
b2ae5c3515ccfcb25e90b351dfc47e78af80c8da | Shell | tmolitor-stud-tu/simple-dnssec | /share/simple-dnssec/nsd_reload_zonefiles | UTF-8 | 237 | 2.734375 | 3 | [] | no_license | #!/bin/bash
for i in /var/lib/opendnssec/signed/*; do
ZONE="$(basename $i)"
source /usr/local/share/simple-dnssec/templates/nsd_zone_template
done > /etc/nsd/nsd.conf.d/zones.conf
nsd-control reconfig
sleep 1
nsd-control reload
exit 0
| true |
eedf0d097455a230ad0497b7eb563c02591ee8f7 | Shell | shiftwinting/config-4 | /dotfiles/.zshrc | UTF-8 | 9,038 | 3.25 | 3 | [] | no_license | # TMUX
if which tmux >/dev/null 2>&1; then
#if not inside a tmux session, and if no session is started, start a new session
test -z "$TMUX" && (tmux attach || tmux new-session)
fi
# Enable Powerlevel10k instant prompt. Should stay close to the top of ~/.zshrc.
# Initialization code that may require console inpu... | true |
0284f88928d20c42dc7927cbce071ae535cd8b2d | Shell | InterWeb-LT/rpaas-operator | /scripts/localkube-integration.sh | UTF-8 | 4,013 | 3.859375 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
set -euo pipefail
get_os() {
local os="$(uname -s)"
case ${os} in
Linux)
echo -n "linux";;
Darwin)
echo -n "darwin";;
*)
echo "Unsupported operating system. (supported: Linux or Darwin)"
exit 1;;
esac
}
get_arch() {
local arch="$(uname -m)"
case ${arch} in... | true |
cfdad4d76eeb8520248461c97d24a9ad77e0aefa | Shell | lynring24/swptracer | /setup | UTF-8 | 214 | 2.6875 | 3 | [] | no_license | #!/bin/bash
echo "export path of swptracer"
SWPTRACE=$(pwd)/driver
echo "export SWPTRACE=${SWPTRACE}" >> ~/.bashrc
echo "export PYTHONPATH=\$PYTHONPATH:${SWPTRACE}" >> ~/.bashrc
source ~/.bashrc
source ~/.bashrc
| true |
c124e45d578c26aa650ea0d070993a5f5f104fbb | Shell | jakeyeung/sortchicAllScripts | /scripts/processing/2021-06-04_public_data/Bartosovic_2021/5-fastqdump_sra.sh | UTF-8 | 829 | 3.265625 | 3 | [] | no_license | #!/bin/sh
# Jake Yeung
# 5-fastqdump_sra.sh
#
# 2021-06-07
jmem='16G'
jtime='1:00:00'
indir="/hpc/hub_oudenaarden/jyeung/data/scChiC/public_data/Bartosovic_et_al_2021/SRA_data/prefetch_outputs"
outdir="/hpc/hub_oudenaarden/jyeung/data/scChiC/public_data/Bartosovic_et_al_2021/SRA_data/prefetch_outputs/fastqs"
for d... | true |
21fca56e87917002740227edda7e7ab76fee3444 | Shell | Counid/egcc | /egcc.sh | UTF-8 | 280 | 2.796875 | 3 | [] | no_license | clear
echo "This is the easy ware to run c"
echo " _____________________________"
ls
read -p 'write file name :' filename
clear
gcc $filename.c -o $filename.exe
if [ $? -eq 0 ]
then
echo "<<<<<<<<output>>>>>>>>>>>"
./$filename.exe
else
echo "______________fail_______________"
fi
| true |
c1f3f5d1d6b3b168b47a3ca91a63283e2d6c1720 | Shell | ty-/spec-style-guide | /tests/generate.sh | UTF-8 | 386 | 2.765625 | 3 | [] | no_license | #!/bin/bash
# This script generates different document formats based on the README.md
# in the root of this repository using pandoc
echo "Generating epub..."
pandoc -f markdown -S ../README.md -o test.epub
echo "Generating HTML file..."
pandoc -f markdown -S ../README.md -o test.html
echo "Generating PDF... (this wi... | true |
557d2392b28f29ebfb15d02c373e9dab9d966f10 | Shell | danieldrayton/remote_setup | /vagrant_box_setup.sh | UTF-8 | 2,934 | 2.96875 | 3 | [] | no_license | #!/bin/bash
sudo apt-get update
sudo apt-get upgrade -y
sudo apt-get install curl -y
sudo apt-get install git -y
sudo apt-get install autoconf bison build-essential libssl-dev libyaml-dev libreadline6-dev zlib1g-dev libncurses5-dev libffi-dev -y
sudo apt-get install nodejs -y
sudo apt-get install libsqlite3-dev -y... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.